/**
 * The main entrypoint when using Bun as the runtime
 */

import { getTermios } from "../common/mod.ts";
export * from './terminal_io.ts';

export async function init() {
	const t = await getTermios();

	t.enableRawMode();

	process.on('exit', () => {
		console.info('Disabling raw mode');
		t.disableRawMode();
	})
}